China factories

Easter Egg Table Mini Paper Lamp Foldable LED Origami Desk Lamp Light

Price: $4.80-5.40 Get Latest Price
  • Brand Name: ZhengMing / OEM/ODM
  • Model Number: Negotiable
  • Minimum Order Quantity: 100
  • Delivery Time: 15 work days
  • view more

10W 46.5cm Smart Touch Stepless LED Desk Lamp With 3 Color

Price: Negotiable Get Latest Price
  • Brand Name: QiFan
  • Model Number: TD-06
  • Minimum Order Quantity: 300pcs
  • Delivery Time: 15days
  • view more

Foldable LED Table Lamp 5 Watts Warm Light For Bedroom Portable Desk Lighting Fixture

Price: Good price Get Latest Price
  • Brand Name: DY
  • Model Number: NO.:006Y
  • Minimum Order Quantity: 1 Carton
  • Delivery Time: 5days
  • view more

1000MAH Battery Wireless Charger With Foldable Student Eye Protection Desk Lamp With 9V/3A Output

Price: USD1-USD9 Get Latest Price
  • Brand Name: OEM and ODM
  • Model Number: W-0075
  • Minimum Order Quantity: 10
  • Delivery Time: 5-6 work days
  • view more

Reading Room Folding LED Sensor Desk Lamp with Rechargeable Battery and Foldable Design

Price: $17.80 - $18.50/pieces Get Latest Price
  • Brand Name: SUNSHINING
  • Model Number: SL-LED702
  • Minimum Order Quantity: 1000 pieces
  • Delivery Time: Negotiable
  • view more

Maple Color Foldable Training Desk Waterproof Computer Training Desk

Price: $22~78 Get Latest Price
  • Brand Name: BESTON
  • Model Number: BS-T4
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: 45 days
  • view more

Nordic Light Luxury Crystal Desk Lamp Living Room Bedroom Study Room Modern Simple Desk Lamp

Price: Negotiation Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL2-023
  • Minimum Order Quantity: 5 pcs
  • Delivery Time: Negotiable
  • view more

5W Portable Table Lamp 2 In 1 Foldable LED Table Lamp With Cosmetic Mirror

Price: $5.9 Get Latest Price
  • Brand Name: JMKMGL
  • Model Number: JMK-L02
  • Minimum Order Quantity: 2
  • Delivery Time: Depends on QTY
  • view more

Long Swing Arm adjustable classic desk Lamps E27 LED with switch arm desk lamp(WH-MTB-73)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-MTB-73
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Adjustable LED Desk Lamp Space Saving High CRI Desk Lamp Eye Caring

Price: Negotiable Get Latest Price
  • Brand Name: Guandi
  • Model Number: SK-LC2100-C1
  • Minimum Order Quantity: 1000 pcs
  • Delivery Time: 10-15 work days
  • view more

Remote Control Night Light Desk Lamp Red Moon Design Table Lamp 2700K 4000K 6000

Price: Get Quote Now Get Latest Price
  • Brand Name: VALED
  • Model Number: VL-TL-S9
  • Minimum Order Quantity: 1
  • Delivery Time: 15-25 Days
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

E26 / Candelabra Hardwired Rechargeable Brass Table Lamp Brass LED Desk Lamp

Price: 99.99 Get Latest Price
  • Brand Name: YIHAOWO
  • Model Number: YH-10011
  • Minimum Order Quantity: 4
  • Delivery Time: 15-20 work days
  • view more

High CRI RA97 SMD 2835 LED Chip 4800-5200K For Desk Lamp

Price: Negotiation Get Latest Price
  • Brand Name: PHOENIX
  • Model Number: 2835
  • Minimum Order Quantity: 4000PCS
  • Delivery Time: 7-10 DAYS
  • view more

Newish Funny Unique "S" Snake Shaped Desk Lamp With Plastic Sprayed Iron Frame Desktop SMD Silicone

Price: Factory price/Genuine retail price Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: ABM-0032
  • Minimum Order Quantity: 100 set/<100set
  • Delivery Time: 7-15days
  • view more

Modern Smart RGB Ring Desk Lamp 3 Color Temperature Remote / Switch Control

Price: US $11-13/PCS Get Latest Price
  • Brand Name: Glomarket
  • Model Number: LT0332
  • Minimum Order Quantity: 2 PCS
  • Delivery Time: 7-15 work days
  • view more

Modern Led Desk Lamp For Brdside Led Small Glass Table Lamps

Price: D220*H420MM 36USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B50013
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Wooden LED Cube Table Lamp USB Dimmable Rechargeable Desk Lamp Creative Geometric Night Lights for Bedroom Decor Accent Lighting

Price: 11.7usd/piece Get Latest Price
  • Brand Name: OEM
  • Model Number: CR-LNL-05
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: 7-10work days
  • view more

Mobile Foldable Office Desk Folding School Training Room Table With Storage Layer

Price: US $48-65/pcs Get Latest Price
  • Brand Name: EBUNGE
  • Model Number: BG1506 training room table
  • Minimum Order Quantity: 1 pc.
  • Delivery Time: 7-15 days
  • view more

Magnifying Desk Lamp Magnifier / Desk Lamp Magnifier LT-86C 10X / 20X

Price: Negotiation Get Latest Price
  • Brand Name: INTEKE
  • Model Number: LT-86C
  • Minimum Order Quantity: 1Unit
  • Delivery Time: Goods in stock
  • view more